# docker restart

<!---MARKER_GEN_START-->
Restart one or more containers

### Aliases

`docker container restart`, `docker restart`

### Options

| Name             | Type     | Default | Description                                  |
|:-----------------|:---------|:--------|:---------------------------------------------|
| `-s`, `--signal` | `string` |         | Signal to send to the container              |
| `-t`, `--time`   | `int`    | `0`     | Seconds to wait before killing the container |


<!---MARKER_GEN_END-->

